com.holonplatform.vaadin.flow.components.builders

## Interface DialogBuilder.ConfirmDialogBuilder

- All Superinterfaces:
    ComponentConfigurator<DialogBuilder.ConfirmDialogBuilder>, DeferrableLocalizationConfigurator<DialogBuilder.ConfirmDialogBuilder>, DialogBuilder<DialogBuilder.ConfirmDialogBuilder>, DialogConfigurator<DialogBuilder.ConfirmDialogBuilder>, DialogConfigurator.ClosableDialogConfigurator<DialogBuilder.ConfirmDialogBuilder>, HasDeferrableLocalization, HasElementConfigurator<DialogBuilder.ConfirmDialogBuilder>, HasSizeConfigurator<DialogBuilder.ConfirmDialogBuilder>, HasStyleConfigurator<DialogBuilder.ConfirmDialogBuilder>, HasTextConfigurator<DialogBuilder.ConfirmDialogBuilder>
  Enclosing interface:
    DialogBuilder<B extends DialogBuilder<B>>

      public static interface DialogBuilder.ConfirmDialogBuilder
      extends DialogBuilder<DialogBuilder.ConfirmDialogBuilder>, DialogConfigurator.ClosableDialogConfigurator<DialogBuilder.ConfirmDialogBuilder>

  Confirm `Dialog` builder.

  A message dialog provides by default a OK button in the dialog toolbar to close the dialog.

  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder, DialogBuilder.QuestionDialogBuilder, DialogBuilder.QuestionDialogCallback`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator

      `DialogConfigurator.ClosableDialogConfigurator<C extends DialogConfigurator.ClosableDialogConfigurator<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `DEFAULT_CONFIRM_BUTTON_MESSAGE_CODE, DEFAULT_DENY_BUTTON_MESSAGE_CODE, DEFAULT_OK_BUTTON_MESSAGE_CODE`

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DialogBuilder.ConfirmDialogBuilder` | `okButtonConfigurator(Consumer<ButtonConfigurator.BaseButtonConfigurator> configurator)` Provide a `Consumer` to configure the default OK button shown in the dialog toolbar.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogBuilder

      `build, confirm, message, open, question`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator.ClosableDialogConfigurator

      `closeOnEsc, closeOnOutsideClick`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DialogConfigurator

      `withComponent, withOpenedChangeListener, withToolbarComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### okButtonConfigurator

          DialogBuilder.ConfirmDialogBuilder okButtonConfigurator(Consumer<ButtonConfigurator.BaseButtonConfigurator> configurator)

      Provide a `Consumer` to configure the default OK button shown in the dialog toolbar.
      Parameters:
        `configurator` - The button configurator (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.